<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Modules\OfficialAccount\Services\CustomMsgService;
class CustomSignPush extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'CustomSignPush';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '签到智能推送';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->customSignPush();
    }

    public function customSignPush(){
        CustomMsgService::SmartPush('sign_push');
    }
}
