<?php

namespace App\Modules\Book\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class ReadRecord extends Model
{
    use TableSuffix;

    protected $connection = 'read_record_mysql';

    protected $table = 'record_records';

    protected $fillable = [
        'distribution_channel_id',
        'bid',
        'cid',
        'uid',
        'send_order_id',
        'from',
        'attach',
        'sequence',
    ];

    public static function model(int $number)
    {
        self::suffix($number);
        $model = new self;
        return $model;
    }
}
